/****************************************************
   TORNADO-E64xx Demo Utility.
   WDT test. rev.1A
   (C) MicroLAB Systems, 2002


   Description:
   ------------
	This demo continuously reboots DSP on the WDT expiration. The
	DSP RESET LED will flash with the period about 2 sec.


   TORNADO platform:
   -----------------
	This demo does not utilize any host TORNADO resources
	and runs in stand-alone mode. MIRAGE JTAG emulator and
	TI CCS tools are required to recompile this demo and to
	upload code to the on-board DSP environment.

  Copyright:
  ----------
	This demo is distributed free of charge and as it is without
	any obligation from MicroLAB Systems.


  Demo and Signal Parameters:
  ---------------------------
      - on-board BOTMODE configuration switch: NOBOOT
	  - emulator must be put into the RUN FREE mode after
	    uploading the exection code

*****************************************************/
#define	__TE6X_SDRAM128M__
#define	__TE6X_SELECT_E64XX__


#include "c6x_def.h"
#include "te6x_dsp.h"


main()
{

   TE6X_init_dsp_emif(0);

   TE6X_set_wdt_enable_rg(TE6X_WDT_ENABLE_ON);
   while(1);
}



