/****************************************************
  SIOX rev.C r/w test for E64xx

  Notes:
    1. This test checks for R/W buffers of SIOX rev.C.

    2. TIMER-0 output is used as the progress indicator
       and generates square output if OK.

	3. This test does not run for E620x/E670x boards. 
	   Use E6X_SIOXC_RW.* test instead.


*****************************************************/
#define	__TE6X_SDRAM128M__
#define	__TE6X_SELECT_E64XX__

#include "c6x_def.h"
#include "te6x_dsp.h"

unsigned *ptr;

#define TM_OUT_0  0
#define TM_OUT_1  4



main()
{
   unsigned  short d, dr, i, count;

	TE6X_init_dsp_emif(0);
   	count=0;

   	while(1)
   	{
     	if(count==0)
	    { 	
			*C6X_TM0_CONTROL = TM_OUT_0;
	      	count++;
	    }
       	else 
		{ 
			*C6X_TM0_CONTROL = TM_OUT_1;
	      	count=0;
	    }

		for(d=0x1L, i=0; i<8 ; i++)
		{ 
			TE6X_set_sx(0,d);
	  		dr = TE6X_sx(0);
	  		d= (d<<1);
		}
    }

  error:
    while(1);
	
}



