/****************************************************
  SBSRAM 512Kx32 memory test for E6x. rev.3A
  (C) MicroLAB Systems, 1999-2001

  notes:
	1. TE6202/TE6203 boards are assumed to be configured 
	   with no boot and DSP MAP0 configiration.
*****************************************************/

#include "te6x_dsp.h"

unsigned *ptr ;

#define	DMEM_START_PTR	((unsigned *) TE6X_SBSRAM_SADDR)
#define	DMEM_END_PTR	((unsigned *) (TE6X_SBSRAM_SADDR+0x1fffff))


unsigned start_data = 0xa596e73b,
         start_data_block;
unsigned mem_inc_data = 0x97b5f3be;
unsigned mem_wr_data;
unsigned pass_counter=0;


main()
{
   TE6X_init_dsp_emif(TE6X_XMEM_SBSRAM);

   while(1)
    {
      start_data_block= start_data;

          for(mem_wr_data=start_data, ptr=DMEM_START_PTR;
	      ptr<=DMEM_END_PTR ; *ptr++ = mem_wr_data++);

          start_data += mem_inc_data ;

      start_data=start_data_block;

          for(mem_wr_data=start_data, ptr=DMEM_START_PTR;
	      ptr<=DMEM_END_PTR ;	)
   	   {
             if(*ptr++ != mem_wr_data++) goto error ;
	   }
          start_data += mem_inc_data ;

     pass_counter++;

    }


  error:
    while(1) ;

}


